#include<bits/stdc++.h>
using namespace std;
int t,n,m;
int mat[1000][1000];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>t;
    while(t--){
        cin>>n>>m;
        cout<<-1<< endl;
    }




    return 0;
}